#1  
Old 13th April 2009, 16:51
arastirici arastirici is offline
Member
 
Join Date: Sep 2008
Posts: 82
Thanks: 0
Thanked 1 Time in 1 Post
Default I couldn't active new php5

I installed ispconfig2.2.25 on opensuse11.

But I reinstalled php5 manually, as i need to change php settings. Because the default settings in php5.2.6 as following;

'../configure' '--prefix=/usr' '--datadir=/usr/share/php5' '--mandir=/usr/share/man' '--bindir=/usr/bin' '--with-libdir=lib' '--includedir=/usr/include' '--sysconfdir=/etc/php5/apache2' '--with-config-file-path=/etc/php5/apache2' '--with-config-file-scan-dir=/etc/php5/conf.d' '--enable-libxml' '--enable-session' '--with-mm' '--with-pcre-regex=/usr' '--enable-xml' '--enable-simplexml' '--enable-spl' '--enable-filter' '--disable-debug' '--enable-inline-optimization' '--disable-rpath' '--disable-static' '--enable-shared' '--program-suffix=5' '--with-pic' '--with-gnu-ld' '--with-system-tzdata=/usr/share/zoneinfo' '--with-apxs2=/usr/sbin/apxs2' '--disable-all' '--disable-cli'

I don't want be the options like --disable-static.

So I have to change above settings with ;

./configure --prefix=/usr --datadir=/usr/share/php5 --mandir=/usr/share/man --bindir=/usr/bin --with-libdir=lib --includedir=/usr/include --sysconfdir=/etc/php5/apache2 --with-config-file-path=/etc/php5/apache2 --with-config-file-scan-dir=/etc/php5/conf.d --enable-libxml --enable-session --with-mm --with-pcre-regex=/usr --enable-xml --enable-simplexml --enable-spl --enable-filter --disable-debug --enable-inline-optimization --disable-rpath --program-suffix=5 --with-pic --with-gnu-ld --with-apxs2=/usr/sbin/apxs2 --with-openssl --disable-cli --with-gettext --with-bz2 --with-iconv=/usr/local --with-curl=/usr/local/include/curl --with-freetype-dir=/usr/local/include/freetype2 --enable-pcntl --with-mcrypt --with-mhash --enable-sockets --enable-zip --with-mysql=/usr --enable-dbase --with-openssl --with-gd=/usr/local --enable-zip --with-zlib-dir --enable-static

make
make install

I get some messages;
Build complete.
Don't forget to run 'make test'.

php:/usr/local/php-5.2.6 # make install
Installing PHP SAPI module: apache2handler
/usr/share/apache2/build/instdso.sh SH_LIBTOOL='/usr/lib/apr-1/build/libtool' libphp5.la /usr/lib/apache2
/usr/lib/apr-1/build/libtool --mode=install cp libphp5.la /usr/lib/apache2/
cp .libs/libphp5.so /usr/lib/apache2/libphp5.so
cp .libs/libphp5.lai /usr/lib/apache2/libphp5.la
libtool: install: warning: remember to run `libtool --finish /usr/local/php-5.2.6/libs'
chmod 755 /usr/lib/apache2/libphp5.so
activating php5
"php5" already present
Installing build environment: /usr/lib/php/build/
Installing header files: /usr/include/php/
Installing helper programs: /usr/bin/
program: phpize5
program: php-config5
Installing man pages: /usr/share/man/man1/
page: phpize5.1
page: php-config5.1
Installing PDO headers: /usr/include/php/ext/pdo/
Installing ZIP headers: /usr/include/php/ext/zip/lib

I restarted apache2 without problem.
When I check new php installation, I couldn't the new installation.
There has still been exist the old installation which I had installed with ./setup in install_ispconfig

How can I active new php5 installation ?

Thanks
Reply With Quote
Sponsored Links
  #2  
Old 13th April 2009, 20:08
till till is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 36,733
Thanks: 840
Thanked 5,596 Times in 4,407 Posts
Default

You mix up the php from ispconfig and the one from suse. The ispconfig php is only for the controlpanel on port 81 and not for the webpages. The ispconfig php has never to be changes as it shall never be used for any other purpose.

What you compiled now is a new php for suse which of course does not replace the ispconfig php on port 81.
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
  #3  
Old 13th April 2009, 20:31
arastirici arastirici is offline
Member
 
Join Date: Sep 2008
Posts: 82
Thanks: 0
Thanked 1 Time in 1 Post
Default that's a good news. How can I active new php5 for opensuse ?

Ok

First I have to correct php5 for opensuse11.
How can I active new php5 for opensuse ?

Thanks
Reply With Quote
  #4  
Old 13th April 2009, 22:50
arastirici arastirici is offline
Member
 
Join Date: Sep 2008
Posts: 82
Thanks: 0
Thanked 1 Time in 1 Post
Default I couldn't see php wh

I noticed a thing.
When I run php -v I get as below;
PHP 5.2.6 (cli) (built: Apr 13 2009 21:31:16)
Copyright (c) 1997-2008 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2008 Zend Technologies
with Zend Extension Manager v1.2.2, Copyright (c) 2003-2007, by Zend Technologies
with Zend Optimizer v3.3.3, Copyright (c) 1998-2007, by Zend Technologies

But if I run php5 -v I get as below
PHP 5.2.9 with Suhosin-Patch 0.9.7 (cli) (built: Mar 12 2009 16:40:09)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies

I installed php5.2.6 as manually but I couldn't see it phpinfo
I see php5.2.9 at phpinfo

How can I solve this problem ?
Reply With Quote
  #5  
Old 13th April 2009, 22:52
arastirici arastirici is offline
Member
 
Join Date: Sep 2008
Posts: 82
Thanks: 0
Thanked 1 Time in 1 Post
Default I couldn't see php5.2.6 which I installed as manual

I noticed a thing.
When I run php -v I get as below;
PHP 5.2.6 (cli) (built: Apr 13 2009 21:31:16)
Copyright (c) 1997-2008 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2008 Zend Technologies
with Zend Extension Manager v1.2.2, Copyright (c) 2003-2007, by Zend Technologies
with Zend Optimizer v3.3.3, Copyright (c) 1998-2007, by Zend Technologies

But if I run php5 -v I get as below
PHP 5.2.9 with Suhosin-Patch 0.9.7 (cli) (built: Mar 12 2009 16:40:09)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies

I installed php5.2.6 as manually but I couldn't see it phpinfo
I see php5.2.9 at phpinfo

How can I solve this problem ?
Reply With Quote
  #6  
Old 14th April 2009, 14:10
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,747 Times in 2,578 Posts
 
Default

You can create a symlink from php5 to php. Then both commands will show 5.2.6.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
ffmpeg Video support for ubuntu 7.10 [suphp-ispconfig] amaurib Installation/Configuration 13 16th February 2010 18:26
Upgrade to php 5.2 in suse 10.1 gimhan90 Installation/Configuration 3 1st January 2009 21:32
ISPconfig 3, dropmail issue Justin Albstmeijer Developers' Forum 10 6th October 2008 22:21
ISPConfig with postfix problem Chrisssssss General 30 21st January 2007 00:34


All times are GMT +2. The time now is 18:54.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.